<template>
  <div>
    <nav class=" w-full navbar navbar-expand-lg navbar-dark ">
      <div class="row container-fluid m-2 p-2 bg-dark rounded-lg m-0">

        <button type="button" id="sidebarCollapse" class="btn btn-secondary">
          <i class="fas fa-align-left"></i>
          <svg class="bi bi-justify-left" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd" d="M2 12.5a.5.5 0 01.5-.5h7a.5.5 0 010 1h-7a.5.5 0 01-.5-.5zm0-3a.5.5 0 01.5-.5h11a.5.5 0 010 1h-11a.5.5 0 01-.5-.5zm0-3a.5.5 0 01.5-.5h11a.5.5 0 010 1h-11a.5.5 0 01-.5-.5zm0-3a.5.5 0 01.5-.5h11a.5.5 0 010 1h-11a.5.5 0 01-.5-.5z" clip-rule="evenodd"/>
          </svg>
        </button>

        <h2 class="text-white text-center">ADMIN:</h2>
        <div v-if="isLoading">
          <div class="spinner-grow text-primary" role="status">
            <span class="sr-only">Loading...</span>
          </div>
          <div class="spinner-grow text-secondary" role="status">
            <span class="sr-only">Loading...</span>
          </div>
          <div class="spinner-grow text-success" role="status">
            <span class="sr-only">Loading...</span>
          </div>
          <div class="spinner-grow text-danger" role="status">
            <span class="sr-only">Loading...</span>
          </div>
          <div class="spinner-grow text-warning" role="status">
            <span class="sr-only">Loading...</span>
          </div>
          <div class="spinner-grow text-info" role="status">
            <span class="sr-only">Loading...</span>
          </div>
          <div class="spinner-grow text-light" role="status">
            <span class="sr-only">Loading...</span>
          </div>
          <div class="spinner-grow text-info" role="status">
            <span class="sr-only">Loading...</span>
          </div>
        </div>

      <a class="text-white">About us</a>
      </div>
    </nav>
    <Logo class="p-4"/>
    <BookAdmin class="container" />

  </div>
</template>
<script>
  import Logo from '~/components/Logo.vue'
  import BookAdmin from '~/components/BookAdmin.vue'
  import {mapState,mapGetters,mapMutations,mapActions} from 'vuex'

  export default {
    data(){
      return {
        isLoading:true
      }
    },
    components: {
      Logo,
      BookAdmin
    },
    computed:{
      ...mapGetters({
          books:'Books/getBooks'
        }
      )
    },
    mounted() {
      this.fetchBooks()
      this.isLoading = false
      //this.$store.dispatch('Books/fetchBooks')
    },
    methods:{
      ...mapActions({
        fetchBooks:'Books/fetchBooks'
      }),
      ...mapMutations({
        addBooks:'Books/addBooks'
      }),


    }
  }
</script>
